from pathlib import Path

import fiona


# Path to the folder where this script is
ROOT = Path(__file__).parent

# Define the path to the shapefile
out_filename = ROOT / 'shapefile_example1/shapefile_example1.shp'

shapes = [
  {
    'geometry' : {
      'coordinates': [
        [
          [
            -59.5898438,
            44.087585
          ],
          [
            -53.0859375,
            36.8092847
          ],
          [
            -46.6699219,
            43.5166885
          ],
          [
            -59.5898438,
            44.087585
          ]
        ]
      ],
      'type': 'Polygon'
    },
    'properties': {'name' : 'my_box'}
  }
]

# NO NEED TO MODIFY BELOW THIS LINE

# Create folder
Path(out_filename).parent.mkdir(parents=True, exist_ok=True)

# Open new file
schema = {
    'geometry':'Polygon',
    'properties':[('name','str')]
}
polyShp = fiona.open(
    out_filename, mode='w',
    driver='ESRI Shapefile',
    schema=schema, crs='EPSG:4326'
)

# Include polygon information
[polyShp.write(shape) for shape in shapes]

# Close file
polyShp.close()
